//+------------------------------------------------------------------+
//|                                              #Toggle_Example.mq4 |
//|                       Copyright 2015, Automated Trading Software |
//|                            http://automatedtradingsoftware.co.uk |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, Automated Trading Software"
#property link      "http://automatedtradingsoftware.co.uk"
#property version   "1.00"
#property strict
#property indicator_chart_window

extern ENUM_BASE_CORNER corner=CORNER_RIGHT_UPPER;//Select Chart Corner

extern bool value_to_Zin_Toggle=true; // The Value to Zin_Toggle
string Zin_Button="Zin_Toggle_button";

long result=-1;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int OnInit()
  {
//(ChartGetInteger(0,CHART_SCALE,0,result));

   Zin_Toggle();
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
   ObjectDelete(Zin_Button);

   Comment("");
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {

   return(rates_total);
  }
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
  {
//+------------------------------------------------------------------+
//|   ZoomIN   sparam                                                            |
//+------------------------------------------------------------------+
   if(id==CHARTEVENT_OBJECT_CLICK)
     {
      if(sparam==Zin_Button) Zin_Toggle();
        {
         if(ChartGetInteger(0,CHART_SCALE,0,result))
           {
            if(result==0)
              {
               ChartSetInteger(0,CHART_SCALE,0,1);//Comment
               Print("Chart Scale = "+(string)result);
              }
            else if(result==1)
              {
               ChartSetInteger(0,CHART_SCALE,0,2);
               Print("Chart Scale = "+(string)result);
              }
            else if(result==2)
              {
               ChartSetInteger(0,CHART_SCALE,0,3);
               Print("Chart Scale = "+(string)result);
              }
            else if(result==3)
              {
               ChartSetInteger(0,CHART_SCALE,0,4);
               Print("Chart Scale = "+(string)result);
              }
            else if(result==4)
              {
               ChartSetInteger(0,CHART_SCALE,0,5);
               Print("Chart Scale = "+(string)result);
              }
           }
        }
     }
//+------------------------------------------------------------------+
//|      ZoomIN   sparam                                                            |
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//|      ZoomOUT   sparam                                                            |
//+------------------------------------------------------------------+


  }
//+------------------------------------------------------------------+
//|      ZoomOUT   sparam                                                            |
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//|  ZoomIN Toggle                                                                |
//+------------------------------------------------------------------+ 
//+------------------------------------------------------------------+
//|  ZoomOUT Toggle                                                                |
//+------------------------------------------------------------------+

void Zin_Toggle()
  {
   color inColor=clrRed;
   string inArrow="Zoom   IN";

   if(value_to_Zin_Toggle==true)
     {
      inColor=clrBlue;
      inArrow="Zoom   IN";
     }

   CreateZoomINButton(Zin_Button,inColor,"Arial",(inArrow));
   value_to_Zin_Toggle=!value_to_Zin_Toggle;

   Comment("The value of value_to_Zin_Toggle is ",result);
  }
//+------------------------------------------------------------------+
//|  ZoomIN Toggle                                                                |
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//|  ZoomIN                                                                |
//+------------------------------------------------------------------+
void CreateZoomINButton(string ZoomIN,color inColor,string sFont="Arial",string sText="")
  {
   if(ObjectFind(ZoomIN)<0)
     {
      ObjectCreate(0,ZoomIN,OBJ_BUTTON,0,0,0);
     }
   ObjectSetInteger(0,ZoomIN,OBJPROP_CORNER,corner);
   ObjectSetInteger(0,ZoomIN,OBJPROP_XDISTANCE,100);
   ObjectSetInteger(0,ZoomIN,OBJPROP_YDISTANCE,315);
   ObjectSetInteger(0,ZoomIN,OBJPROP_XSIZE,75);
   ObjectSetInteger(0,ZoomIN,OBJPROP_YSIZE,20);
   ObjectSetString(0,ZoomIN,OBJPROP_TEXT,sText);
   ObjectSetInteger(0,ZoomIN,OBJPROP_COLOR,inColor);
   ObjectSetInteger(0,ZoomIN,OBJPROP_STATE,result);
  }
//+------------------------------------------------------------------+
//|  ZoomIN                                                                |
//+------------------------------------------------------------------+
//+------------------------------------------------------------------+
//| ZoomOUT Toggle                                                                 |
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
//|  ZoomOUT                                                                |
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
//|   ZoomOUT                                                               |
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
